Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1332521 - opendmarc always adds spf=pass
Summary: opendmarc always adds spf=pass
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: opendmarc
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Steve Jenkins
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-03 11:40 UTC by Harald Hoyer
Modified: 2017-01-06 05:05 UTC (History)
1 user (show)

Fixed In Version: opendmarc-1.3.2-0.12.fc24 opendmarc-1.3.2-0.12.el6 opendmarc-1.3.2-0.12.el5 opendmarc-1.3.2-0.12.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-31 08:22:47 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
patch (deleted)
2016-05-03 11:58 UTC, Harald Hoyer
no flags Details | Diff

Description Harald Hoyer 2016-05-03 11:40:39 UTC
Description of problem:
 spf=pass is added always

Version-Release number of selected component (if applicable):
opendmarc-1.3.1-14.fc23.x86_64

See also:
https://sourceforge.net/p/opendmarc/tickets/152/
https://sourceforge.net/p/opendmarc/tickets/120/

Fix:
https://gist.github.com/CodingBerg/b7c335580d2e9cd928f7#file-opendmarc-fix-spf-always-pass-auth-header-patch

Please add this patch... the ticket is open for more than one year.

Thanks!

Comment 1 Harald Hoyer 2016-05-03 11:58:10 UTC
Created attachment 1153370 [details]
patch

Comment 2 Fedora Update System 2016-07-20 20:02:13 UTC
opendmarc-1.3.2-0.2.beta0.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5d4aaf0511

Comment 3 Fedora Update System 2016-07-20 20:02:24 UTC
opendmarc-1.3.2-0.2.beta0.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-efcca8fd58

Comment 4 Fedora Update System 2016-07-20 20:02:34 UTC
opendmarc-1.3.2-0.2.beta0.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-4995ba1d4e

Comment 5 Fedora Update System 2016-07-20 20:02:44 UTC
opendmarc-1.3.2-0.2.beta0.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8f0c68ee0f

Comment 6 Fedora Update System 2016-07-20 20:02:54 UTC
opendmarc-1.3.2-0.2.beta0.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-cb2d43c2ff

Comment 7 Fedora Update System 2016-07-21 18:48:57 UTC
opendmarc-1.3.2-0.2.beta0.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5d4aaf0511

Comment 8 Fedora Update System 2016-07-21 18:53:52 UTC
opendmarc-1.3.2-0.2.beta0.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-efcca8fd58

Comment 9 Fedora Update System 2016-07-21 23:48:35 UTC
opendmarc-1.3.2-0.2.beta0.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-4995ba1d4e

Comment 10 Fedora Update System 2016-07-21 23:48:37 UTC
opendmarc-1.3.2-0.2.beta0.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-cb2d43c2ff

Comment 11 Fedora Update System 2016-07-21 23:49:56 UTC
opendmarc-1.3.2-0.2.beta0.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8f0c68ee0f

Comment 12 Fedora Update System 2016-07-24 03:32:32 UTC
opendmarc-1.3.2-0.4.beta0.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-aec31f8353

Comment 13 Fedora Update System 2016-07-24 03:32:47 UTC
opendmarc-1.3.2-0.4.beta0.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d33719d6aa

Comment 14 Fedora Update System 2016-07-24 03:33:00 UTC
opendmarc-1.3.2-0.4.beta0.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-bf7754d754

Comment 15 Fedora Update System 2016-07-24 03:33:13 UTC
opendmarc-1.3.2-0.4.beta0.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1cf451a928

Comment 16 Fedora Update System 2016-07-24 03:33:27 UTC
opendmarc-1.3.2-0.4.beta0.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-50f04d5159

Comment 17 Fedora Update System 2016-07-24 22:48:51 UTC
opendmarc-1.3.2-0.4.beta0.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d33719d6aa

Comment 18 Fedora Update System 2016-07-24 22:52:41 UTC
opendmarc-1.3.2-0.4.beta0.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1cf451a928

Comment 19 Fedora Update System 2016-07-25 03:45:34 UTC
opendmarc-1.3.2-0.4.beta0.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-50f04d5159

Comment 20 Fedora Update System 2016-07-25 03:47:49 UTC
opendmarc-1.3.2-0.4.beta0.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-bf7754d754

Comment 21 Fedora Update System 2016-07-25 03:48:03 UTC
opendmarc-1.3.2-0.4.beta0.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-aec31f8353

Comment 22 Fedora Update System 2016-11-24 22:29:03 UTC
opendmarc-1.3.2-0.7.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-16c55d3061

Comment 23 Fedora Update System 2016-11-24 22:29:25 UTC
opendmarc-1.3.2-0.7.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-61b2a31c65

Comment 24 Fedora Update System 2016-11-24 22:29:45 UTC
opendmarc-1.3.2-0.7.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e94f822499

Comment 25 Fedora Update System 2016-11-24 22:30:03 UTC
opendmarc-1.3.2-0.7.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-dfebe30cda

Comment 26 Fedora Update System 2016-11-24 22:30:30 UTC
opendmarc-1.3.2-0.7.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-23163acc27

Comment 27 Fedora End Of Life 2016-11-25 08:55:28 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 28 Fedora Update System 2016-11-27 08:48:09 UTC
opendmarc-1.3.2-0.7.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-23163acc27

Comment 29 Fedora Update System 2016-11-27 16:25:03 UTC
opendmarc-1.3.2-0.7.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-61b2a31c65

Comment 30 Fedora Update System 2016-11-27 17:26:32 UTC
opendmarc-1.3.2-0.7.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e94f822499

Comment 31 Fedora Update System 2016-11-28 01:55:45 UTC
opendmarc-1.3.2-0.7.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-dfebe30cda

Comment 32 Fedora Update System 2016-11-28 08:19:11 UTC
opendmarc-1.3.2-0.7.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-16c55d3061

Comment 33 Fedora Update System 2016-12-13 03:12:59 UTC
opendmarc-1.3.2-0.8.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-61b2a31c65

Comment 34 Fedora Update System 2016-12-13 03:15:46 UTC
opendmarc-1.3.2-0.8.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-dfebe30cda

Comment 35 Fedora Update System 2016-12-13 03:17:45 UTC
opendmarc-1.3.2-0.8.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-23163acc27

Comment 36 Fedora Update System 2016-12-13 20:18:40 UTC
opendmarc-1.3.2-0.10.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e94f822499

Comment 37 Fedora Update System 2016-12-13 20:19:20 UTC
opendmarc-1.3.2-0.10.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-16c55d3061

Comment 38 Fedora Update System 2016-12-14 02:23:34 UTC
opendmarc-1.3.2-0.8.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-dfebe30cda

Comment 39 Fedora Update System 2016-12-14 02:31:20 UTC
opendmarc-1.3.2-0.10.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-dfebe30cda

Comment 40 Fedora Update System 2016-12-14 03:49:32 UTC
opendmarc-1.3.2-0.8.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-23163acc27

Comment 41 Fedora Update System 2016-12-14 03:50:05 UTC
opendmarc-1.3.2-0.8.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-61b2a31c65

Comment 42 Fedora Update System 2016-12-14 17:29:03 UTC
opendmarc-1.3.2-0.10.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-23163acc27

Comment 43 Fedora Update System 2016-12-14 17:35:05 UTC
opendmarc-1.3.2-0.10.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-61b2a31c65

Comment 44 Fedora Update System 2016-12-15 02:28:00 UTC
opendmarc-1.3.2-0.10.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e94f822499

Comment 45 Fedora Update System 2016-12-15 02:46:30 UTC
opendmarc-1.3.2-0.10.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-16c55d3061

Comment 46 Fedora Update System 2016-12-15 02:48:59 UTC
opendmarc-1.3.2-0.10.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-23163acc27

Comment 47 Fedora Update System 2016-12-15 02:49:53 UTC
opendmarc-1.3.2-0.10.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-61b2a31c65

Comment 48 Fedora Update System 2016-12-15 05:02:41 UTC
opendmarc-1.3.2-0.10.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-dfebe30cda

Comment 49 Fedora Update System 2016-12-20 02:07:34 UTC
opendmarc-1.3.2-0.12.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-23163acc27

Comment 50 Fedora Update System 2016-12-20 02:08:04 UTC
opendmarc-1.3.2-0.12.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-dfebe30cda

Comment 51 Fedora Update System 2016-12-20 02:09:22 UTC
opendmarc-1.3.2-0.12.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e94f822499

Comment 52 Fedora Update System 2016-12-20 02:10:47 UTC
opendmarc-1.3.2-0.12.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-61b2a31c65

Comment 53 Fedora Update System 2016-12-20 02:11:48 UTC
opendmarc-1.3.2-0.12.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-16c55d3061

Comment 54 Fedora Update System 2016-12-20 19:21:35 UTC
opendmarc-1.3.2-0.12.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-dfebe30cda

Comment 55 Fedora End Of Life 2016-12-20 20:15:23 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 56 Fedora Update System 2016-12-20 20:47:26 UTC
opendmarc-1.3.2-0.12.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-16c55d3061

Comment 57 Fedora Update System 2016-12-20 20:47:32 UTC
opendmarc-1.3.2-0.12.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-23163acc27

Comment 58 Fedora Update System 2016-12-20 20:49:03 UTC
opendmarc-1.3.2-0.12.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-61b2a31c65

Comment 59 Fedora Update System 2016-12-31 08:22:47 UTC
opendmarc-1.3.2-0.12.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 60 Fedora Update System 2017-01-05 18:47:05 UTC
opendmarc-1.3.2-0.12.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 61 Fedora Update System 2017-01-06 00:19:34 UTC
opendmarc-1.3.2-0.12.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Comment 62 Fedora Update System 2017-01-06 05:05:15 UTC
opendmarc-1.3.2-0.12.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.